Subject: Re: bug#64575: 29.0.92; Help buffers are unnecessarily under Outline mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Jul 2023 11:21:54 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 13 Jul 2023 19:39:23 +0300
> 
> I tried to enable outline-minor-mode in the output buffer of 'C-h m',
> and it has some problems:
> 
> 1. outline-regexp of 'C-h b' is not suitable for 'C-h m', because the
> output of 'C-h b' is more uniform, but the output of 'C-h m' includes
> free-form text that causes false positives for the regexp ".*:$".
> 
> 2. heading lines of 'C-h m' are beginning with a link, so the link faces
> are copied to the outline indicator.
> 
> Both these problems could be fixed by adding an asterisk to the beginning
> of headings in 'C-h m', for example:
> 
>   * Font-Lock minor mode (no indicator):
> 
> Does this look nice?  Or should we try to find a regexp for existing output?

I don't know.  We also have ^L that separate sections; can we use that
for Outline, or maybe add some heading after ^L?

> >> > The actual functions you use in "C-h f" don't matter; the point is
> >> > that the Outline minor mode, once set by "C-h b", stays turned on in
> >> > the *Help* buffers, instead of being reset when not needed.
> >> 
> >> If you still think it should be disabled everywhere outside of 'C-h b',
> >> this could be fixed by such patch:
> >
> > Thanks, I think this should be installed on master (assuming that it
> > solves the problem; I didn't have time to try it).
> 
> I did more testing, and pushed to master.

Thanks.  Maybe we should close this bug, and handle the "C-h m" issue
separately.